MySQL 5.1 End Of Life

1 Feb 2014

Last year Oracle has announced they will stop supporting Mysql 5.1 at the end of 2013.

To facilitate migration from MySQL 5.1 to 5.5 or 5.6, cPanel we will continue to support MySQL 5.1 through the life of cPanel & WHM software version 11.42. Of course, we will plan to upgrade all the server to 5.5 or 5.6 as soon as possible.

Beginning with cPanel & WHM version 11.44, upgrades will require MySQL 5.5 or higher. cPanel expect to release this version in May or June of 2014.

We do not have an ETA yet about this, take this as an early notice to check all your installed scripts that use Mysql and check with the scripts developers/support about the supported Mysql version.

Note that once we upgrade mysql version any problem with scripts that do not support the new version is not something that is handled nor corrected by us, you have to check with the scripts developers site or support about it.


Related Links:

Mysql5.1 EOL notice: https://www.mysql.com/support/eol-notice.html

Oracle’s documentation: https://dev.mysql.com/doc/refman/5.5/en/upgrading-from-previous-series.html

Mysql support: https://www.mysql.com/support/